package com.mvc.dao;

import com.mvc.entity.TUpgradePackage;
import com.mvc.entity.TUpgradePackageExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TUpgradePackageMapper {
    long countByExample(TUpgradePackageExample example);

    int deleteByExample(TUpgradePackageExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TUpgradePackage record);

    int insertSelective(TUpgradePackage record);

    List<TUpgradePackage> selectByExample(TUpgradePackageExample example);

    TUpgradePackage selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TUpgradePackage record, @Param("example") TUpgradePackageExample example);

    int updateByExample(@Param("record") TUpgradePackage record, @Param("example") TUpgradePackageExample example);

    int updateByPrimaryKeySelective(TUpgradePackage record);

    int updateByPrimaryKey(TUpgradePackage record);
}